#include <AFMotor.h>

AF_DCMotor motor(1,MOTOR12_64KHZ);
int fsrPin = 0;     //FSR and 10K resistor are connected to pin 0
int fsrReading;     //the analog reading from the resistor divider

int motorRunSecs = 2;
bool chairLastState = false;
bool chairCurrState = false;
bool chairOccupied = true;
int motorDirection = FORWARD;

bool WheelLock = true;

void setup(){
  Serial.begin(9600);
  motor.setSpeed(255);

}

void loop() {
    chairCurrState = onChair();

    // if the chair occupied state has changed, then do something
    if (chairCurrState != chairLastState) {

        // set the motor Direction based on the state of the chair
        motorDirection = ((chairCurrState) ? FORWARD : BACKWARD);

        // run motor for X secs
        motor.run(motorDirection);
        delay(motorRunSecs * 250);
        motor.run(RELEASE);

        // now update the last chair state
        chairLastState = chairCurrState;
        delay(1000);
    }
}

bool onChair(){
  fsrReading = analogRead(fsrPin);
  
  if(fsrReading > 800){
    Serial.println("Wheelchair is occupied");
    WheelLock = false;  
  }
  else{
    Serial.println("Wheelchair is empty");
    WheelLock = true;  
  }
  delay(200);
  return WheelLock;
}
